package org.maachang.util;

import java.nio.ByteBuffer;

/**
 * バイナリ配列(同期).
 * 
 * @version 2008/03/25
 * @author masahito suzuki
 * @since MaachangBase 1.00
 */
public class SyncArrayBinary extends ArrayBinary {
    public SyncArrayBinary() {
        super() ;
    }
    
    public SyncArrayBinary( int size ) {
        super( size ) ;
    }
    
    protected void finalize() throws Exception {
        super.finalize() ;
    }
    
    public synchronized void destroy() {
        super.destroy() ;
    }
    
    public synchronized void reset() {
        super.reset() ;
    }
    
    public synchronized void write( int b ) throws Exception {
        super.write( b ) ;
    }
    
    public synchronized void write( byte[] bin ) throws Exception {
        super.write( bin ) ;
    }
    
    public synchronized void write( byte[] bin,int len ) throws Exception {
        super.write( bin,len ) ;
    }
    
    public synchronized void write( ByteBuffer buf ) throws Exception {
        super.write( buf ) ;
    }
    
    public synchronized byte getByte( int no ) {
        return super.getByte( no ) ;
    }
    
    public synchronized byte[] getRawBinary() {
        return super.getRawBinary() ;
    }
    
    public synchronized byte[] getBinary() {
        return super.getBinary() ;
    }
    
    public synchronized byte[] getBinary( int length ) {
        return super.getBinary( length ) ;
    }
    
    public synchronized int length() {
        return super.length() ;
    }
}
